com.hazelcast.client.spi

## Interface ClientInvocationService

-     public interface ClientInvocationService

  Invocation service for Hazelcast clients. Allows remote invocations on different targets like `ClientConnection`, partition owners or `Address` based targets.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `concurrentInvocations()`
    `Consumer<com.hazelcast.client.impl.protocol.ClientMessage>` | `getResponseHandler()`
    `void` | `invokeOnConnection(com.hazelcast.client.spi.impl.ClientInvocation invocation, ClientConnection connection)`
    `void` | `invokeOnPartitionOwner(com.hazelcast.client.spi.impl.ClientInvocation invocation, int partitionId)`
    `void` | `invokeOnRandomTarget(com.hazelcast.client.spi.impl.ClientInvocation invocation)`
    `void` | `invokeOnTarget(com.hazelcast.client.spi.impl.ClientInvocation invocation, Address target)`
    `boolean` | `isRedoOperation()`

- - ### Method Detail

    - #### invokeOnConnection

          void invokeOnConnection(com.hazelcast.client.spi.impl.ClientInvocation invocation,
                                  ClientConnection connection)
                           throws IOException

      Throws:
        `IOException`

    - #### invokeOnPartitionOwner

          void invokeOnPartitionOwner(com.hazelcast.client.spi.impl.ClientInvocation invocation,
                                      int partitionId)
                               throws IOException

      Throws:
        `IOException`

    - #### invokeOnRandomTarget

          void invokeOnRandomTarget(com.hazelcast.client.spi.impl.ClientInvocation invocation)
                             throws IOException

      Throws:
        `IOException`

    - #### invokeOnTarget

          void invokeOnTarget(com.hazelcast.client.spi.impl.ClientInvocation invocation,
                              Address target)
                       throws IOException

      Throws:
        `IOException`

    - #### isRedoOperation

          boolean isRedoOperation()

    - #### getResponseHandler

          Consumer<com.hazelcast.client.impl.protocol.ClientMessage> getResponseHandler()

    - #### concurrentInvocations

          long concurrentInvocations()

Copyright © 2019. All rights reserved.